## com.bbn.openmap.omGraphics.grid
Class OMGridData.Double

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.OMGridData
          com.bbn.openmap.omGraphics.grid.OMGridData.Double

All Implemented Interfaces:
  GridData, GridData.Double

Enclosing class:
  OMGridData

public static class OMGridData.Double
extends OMGridData
implements GridData.Double

Double is a GridData object that contains doubles.

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short`

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.GridData
`GridData.Boolean, GridData.Byte, GridData.Char, GridData.Double, GridData.Float, GridData.Int, GridData.Short`

Field Summary
`protected double[][]` `data`

Fields inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`major`

Constructor Summary
`OMGridData.Double(double[][] d)`

Method Summary
`java.lang.Object` `get(int x, int y)`
`double[][]` `getData()`
`double` `getDoubleValue(int x, int y)`
`int` `getNumColumns()`
`int` `getNumRows()`
`void` `setData(double[][] d)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`getMajor, setMajor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`getMajor, setMajor`

Field Detail

### data

    protected double[][] data

Constructor Detail

### OMGridData.Double

    public OMGridData.Double(double[][] d)

Method Detail

### setData

    public void setData(double[][] d)

### getData

    public double[][] getData()

  Specified by:
    `getData` in interface `GridData.Double`

### get

    public java.lang.Object get(int x,
                                int y)

  Specified by:
    `get` in interface `GridData`

### getDoubleValue

    public double getDoubleValue(int x,
                                 int y)

  Specified by:
    `getDoubleValue` in interface `GridData.Double`

### getNumColumns

    public int getNumColumns()

  Specified by:
    `getNumColumns` in interface `GridData`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `GridData`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details